Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.resources
[Java] Interface ReadableResource

    org.gradle.api.resources.Resource
      org.gradle.api.resources.ReadableResource

All Superinterfaces:
  Resource

    public interface ReadableResource
    extends Resource

A resource that can be read. The simplest example is a file.

Method Summary
`InputStream` | `read()` Returns an input stream that provides means to read the resource

Methods inherited from interface Resource
getBaseName, getDisplayName, getURI

Method Detail

### read

    public InputStream read()

  Returns an input stream that provides means to read the resource
  Returns:
    allows reading the resource

Gradle API 1.10